Gem::Specification.new do |s|
  s.name = 'logstash-output-datahub'
  s.version         = "1.0.1"
  s.licenses = ["Apache License (2.0)"]
  s.summary = "This aliyun-datahub output plugin."
  s.description = "This gem is a logstash plugin required to be installed on top of the Logstash core pipeline using $LS_HOME/bin/plugin install gemname. This gem is not a stand-alone program"
  s.authors = ["Aliyun"]
  s.email = "stream@service.aliyun.com"
  s.homepage = "https://datahub.console.aliyun.com/datahub"
  s.require_paths = ["lib"]
  #s.platform    = 'java'
  # Files
  s.files = Dir['lib/**/*','lib/*','spec/**/*','vendor/**/*','*.gemspec','*.md','CONTRIBUTORS','Gemfile','LICENSE']
   # Tests
  s.test_files = s.files.grep(%r{^(test|spec|features)/})

  # Special flag to let us know this is actually a logstash plugin
  s.metadata = { "logstash_plugin" => "true", "logstash_group" => "output" }

  # Gem dependencies
  s.add_runtime_dependency 'stud'
  s.add_runtime_dependency "logstash-core", ">= 2.0.0"
  s.add_runtime_dependency "logstash-codec-plain"
  s.add_development_dependency "logstash-devutils"
end
